Subject: Re: bug#73291: 31.0.50; `clean-buffer-list' activates `midnight-mode'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Sep 2024 08:53:38 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 18 Sep 2024 16:52:25 -0700
> Cc: Michael Heerdegen <[email-masked]>, [email-masked]
> 
> Manuel Giraud via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <[email-masked]> writes:
> 
> > I think the following patch does the trick.
> 
> Previously, putting this in your init file enabled midnight-mode:
> 
>     (require 'midnight)
> 
> Now, one needs to say this instead:
> 
>     (midnight-mode +1)
> 
> Right?  If yes, this change is backwards-incompatible and should be
> called out in NEWS.

Agreed.  The user manual already says (in effect) to use the latter,
so we are good in that department.

> I still think this is worth doing, because we want to avoid side-effects
> like enabling modes just from loading an Emacs Lisp library.  This is
> one of few such places that we have left.  Not having midnight-mode on
> should also usually not be a very big problem.

Yes, agreed.

> Since the latter will work on previous versions of Emacs all the way
> back to 25.1, I think we might as well install the below documentation
> patch on the emacs-30 branch too.

Agreed.

So please install all the other changes on master and this one on the
release branch.

Thanks.